org.eclipse.microprofile.metrics.tck.metrics

## Class ConcurrentGaugedMethodBean<T>

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.ConcurrentGaugedMethodBean<T>

    public class ConcurrentGaugedMethodBean<T>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentGaugedMethodBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `countedMethod(Callable<T> callable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentGaugedMethodBean

    public ConcurrentGaugedMethodBean()

### Method Detail

#### countedMethod

    @ConcurrentGauge(name="cGaugedMethod",
                     absolute=true)
    public T countedMethod(Callable<T> callable)